PdfDictionary (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class PdfDictionary

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.pdf.PdfObject
          edu.harvard.hul.ois.jhove.module.pdf.PdfDictionary

    public class PdfDictionary

extends PdfObject

A representation of a PDF dictionary object.

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfObject
`_genNumber, _objNumber`

Constructor Summary
`PdfDictionary()` Creates a PdfDictionary object.
`PdfDictionary(int objNumber, int genNumber)` Creates a PdfDictionary object.

Method Summary
`void` | `add(java.lang.String key, PdfObject value)` Accumulate an entry into the dictionary.
`PdfObject` | `get(java.lang.String key)` Get the PDFObject whose key has the specified string value.
`boolean` | `isPdfACompliant()` Return true if it's within the PDF/A implementation limit.
`java.util.Iterator` | `iterator()` Returns an iterator which will successively return all the values in the dictionary.

Methods inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfObject
`getGenNumber, getObjNumber, setGenNumber, setObjNumber`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PdfDictionary

    public PdfDictionary(int objNumber,
                         int genNumber)

  Creates a PdfDictionary object.

  Parameters:
    `objNumber` - The PDF object number
    `genNumber` - The PDF generation number

### PdfDictionary

    public PdfDictionary()

  Creates a PdfDictionary object.

Method Detail

### add

    public void add(java.lang.String key,
                    PdfObject value)

  Accumulate an entry into the dictionary.

  Parameters:
    `key` - String value of the dictionary key
    `value` - PdfObject encapsulation of the dictionary value

### get

    public PdfObject get(java.lang.String key)

  Get the PDFObject whose key has the specified string value. Returns null if there is no such key.

  Parameters:
    `key` - The string value of the key to look up.

### isPdfACompliant

    public boolean isPdfACompliant()

  Return true if it's within the PDF/A implementation limit.

### iterator

    public java.util.Iterator iterator()

  Returns an iterator which will successively return all the values in the dictionary.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD